Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Interface ILogger

All Known Implementing Classes:
  LogCategory

    public interface ILogger

The public interface to the logging framework.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addRuntimeDestination(PrintWriter writer)` Adds a new destination for log messages at runtime, as opposed to destinations configured using the configuration file.
`void` | `audit(String strKey)` Logs audit message by looking up its Key.
`void` | `audit(String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `audit(String strKey, Object obj)` Logs audit messages with one arg.
`void` | `audit(String strKey, Object[] aInfo)` Logs audit messages using an array of arguments.
`void` | `audit(Throwable t)` Logs exception to audit log
`void` | `debug(String strMessage)` Logs a debug message, which are used to determine how the internals of a component are working and are typically not internationalized.
`void` | `error(String strKey)` Logs error message by looking up its Key.
`void` | `error(String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `error(String strKey, Object obj)` Logs error message with one arg.
`void` | `error(String strKey, Object[] aInfo)` Logs error message with one arg.
`void` | `error(Throwable t)` Logs exceptions into the log
`String` | `getI18NMessage(String strKey)` Gets an Locale specific string from the resource bundle using strKey
`String` | `getI18NMessage(String strKey, Object obj)` Gets a Locale specific string from the resource bundle using strKey and replaces with one argument
`String` | `getI18NMessage(String strKey, Object[] aInfo)` Gets a Locale specific string from the resource bundle using strKey and replaces with contents of an array
`PrintWriter` | `getLogWriter()` Returns a PrintWriter for writing to an appropriate location.
`INestedDiagnosticContext` | `getNDCInterface()` Gets an interface to a Nested Diagnostic Context object for applying thread-specific context to your log messages
`String` | `getProperty(String strKey)` Gets raw property from the resource bundle *
`void` | `info(String strKey)` Log an info message by looking up its key.
`void` | `info(String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `info(String strKey, Object obj)` Logs info messages with one arg.
`void` | `info(String strKey, Object[] aInfo)` Logs an info messages using an array of arguments.
`boolean` | `isDebugEnabled()` True if DEBUG priority is enabled
`boolean` | `isInfoEnabled()` True if INFO priority is enabled
`void` | `setLevel(String strPriority)` Sets the priority for this LogCategory
`void` | `setPriority(int intPriority)` Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead
`void` | `setPriority(LogPriority priority)` Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead
`void` | `setPriority(String strPriority)` Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead
`void` | `setResourceBundle(ResourceBundle bundle)` Sets the category's resource bundle
`void` | `warn(String strKey)` Logs a warning message by looking up its Key.
`void` | `warn(String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `warn(String strKey, Object obj)` Logs a warning messages with one arg.
`void` | `warn(String strKey, Object[] aInfo)` Logs a warning using an array of arguments.
`void` | `warn(Throwable t)` Logs an exception as a warning

Method Detail

### audit

    void audit(String strKey)

  Logs audit message by looking up its Key. Indicates an extremely important log message that relates to the business processing performed by an adapter. Messages with this priority will always be written to the log output.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.

### audit

    void audit(String strMessage,
               boolean isDirect)

  Logs strMessage as message (set isDirect == true)

### audit

    void audit(String strKey,
               Object[] aInfo)

  Logs audit messages using an array of arguments. Indicates an extremely important log message that relates to the business processing performed by an adapter. Messages with this priority will always be written to the log output.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `aInfo` - - an array of arguments used to substitute Locale specific values into the message at the correct place holders.

### audit

    void audit(String strKey,
               Object obj)

  Logs audit messages with one arg. Indicates an extremely important log message that relates to the business processing performed by an adapter. Messages with this priority will always be written to the log output.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `ojb` - - Object to substitue into the Locale specific message at the appropriate place holder.

### audit

    void audit(Throwable t)

  Logs exception to audit log

  Parameters:
    `throwable` - - exception

### error

    void error(String strKey)

  Logs error message by looking up its Key. Indicates an error in the adapter. Error messages are internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.

### error

    void error(String strMessage,
               boolean isDirect)

  Logs strMessage as message (set isDirect == true)

### error

    void error(String strKey,
               Object[] aInfo)

  Logs error message with one arg. Indicates an error in the adapter. Error messages are internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `aInfo` - - an array of arguments used to substitute Locale specific values into the message at the correct place holders.

### error

    void error(String strKey,
               Object obj)

  Logs error message with one arg. Indicates an error in the adapter. Error messages are internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `obj` - - Object to substitue into the Locale specific message at the appropriate place holder.

### error

    void error(Throwable t)

  Logs exceptions into the log

  Parameters:
    `throwable` - - exception

### warn

    void warn(String strKey)

  Logs a warning message by looking up its Key. Indicates a situation that is not an error, but could cause problems. A warning message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.

### warn

    void warn(String strMessage,
              boolean isDirect)

  Logs strMessage as message (set isDirect == true)

### warn

    void warn(String strKey,
              Object[] aInfo)

  Logs a warning using an array of arguments. Indicates a situation that is not an error, but could cause problems. A warning message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `aInfo` - - an array of arguments used to substitute Locale specific values into the message at the correct place holders.

### warn

    void warn(String strKey,
              Object obj)

  Logs a warning messages with one arg. Indicates a situation that is not an error, but could cause problems in the adapter. A warning message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key for determining the appropriate value to substitute into the Locale specific message.
    `obj` - - Object to substitue into the Locale specific message at the appropriate place holder.

### warn

    void warn(Throwable t)

  Logs an exception as a warning

  Parameters:
    `throwable` - - exception

### isInfoEnabled

    boolean isInfoEnabled()

  True if INFO priority is enabled

  Returns:
    - true if info is enabled; false if info is not enabled

### info

    void info(String strKey)

  Log an info message by looking up its key. Indicates an informational message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key used to identify the appropriate value for this Locale specific message.

### info

    void info(String strMessage,
              boolean isDirect)

  Logs strMessage as message (set isDirect == true)

  Parameters:
    `strMessage` - - message to log
    `isDirect` - - true if this mesage is actual message text, or false if its a key into a resource bundle.

### info

    void info(String strKey,
              Object[] aInfo)

  Logs an info messages using an array of arguments. Indicates an informational message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the appropriate value for substitution
    `aInfo` - - An array of Objects that will get replace into the Locale specific message at the appropriate place holders.

### info

    void info(String strKey,
              Object obj)

  Logs info messages with one arg. Indicates an informational message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the appropriate value for substitution
    `obj` - - Object that will get replace into the Locale specific message at the appropriate place holder.

### isDebugEnabled

    boolean isDebugEnabled()

  True if DEBUG priority is enabled

  Returns:
    - true is debug is enabled; false if debug is not enabled.

### debug

    void debug(String strMessage)

  Logs a debug message, which are used to determine how the internals of a component are working and are typically not internationalized.

  Parameters:
    `strMessage` - - debug message that will be written into the log

### addRuntimeDestination

    void addRuntimeDestination(PrintWriter writer)

  Adds a new destination for log messages at runtime, as opposed to destinations configured using the configuration file.

  Parameters:
    `writer` - - a new destination for log messages

### getLogWriter

    PrintWriter getLogWriter()

  Returns a PrintWriter for writing to an appropriate location.

  Returns:
    a PrintWriter that prints to the destinations configured for this logger.

### setPriority

    void setPriority(String strPriority)

  Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead

### setPriority

    void setPriority(LogPriority priority)

  Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead

### setPriority

    void setPriority(int intPriority)

  Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead

### setLevel

    void setLevel(String strPriority)

  Sets the priority for this LogCategory

  Parameters:
    `strPriority` - - new level for this LogCategory

### setResourceBundle

    void setResourceBundle(ResourceBundle bundle)

  Sets the category's resource bundle

  Parameters:
    `ResourceBundle` - - specific ResourceBundle that will be used to find keys for substituting objects into your Locale specific message.

### getProperty

    String getProperty(String strKey)

  Gets raw property from the resource bundle *

  Parameters:
    `strKey` - - specific key for the desired property.
  Returns:
    the value of the property or null if the property is not found.

### getI18NMessage

    String getI18NMessage(String strKey)

  Gets an Locale specific string from the resource bundle using strKey

  Parameters:
    `strKey` - - specific key in your ResourceBundle whose value will be replaced in your Locale specific message.

### getI18NMessage

    String getI18NMessage(String strKey,
                          Object[] aInfo)

  Gets a Locale specific string from the resource bundle using strKey and replaces with contents of an array

  Parameters:
    `args[]` - - an array of objects that will be substituted into your Locale specific message using the appropriate place holders

### getI18NMessage

    String getI18NMessage(String strKey,
                          Object obj)

  Gets a Locale specific string from the resource bundle using strKey and replaces with one argument

### getNDCInterface

    INestedDiagnosticContext getNDCInterface()

  Gets an interface to a Nested Diagnostic Context object for applying thread-specific context to your log messages

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD